<?php
	//---------------------------------------------------------------------------------------------------------
	// 25/Noviembre/2015
	// Versión 1.0 Cargamos un csv
	//---------------------------------------------------------------------------------------------------------

	

	function widget_csv($nombre_funcion = 'fichero_csv'){
		include('comunes/globals.php');
		//Aquí definimos una serie de parámetros que necesitamos
		$funcion_por_defecto = 'fichero_csv';
		$parametros_por_defecto = array();
		$parametros_recibidos = func_get_args();
		if (count($parametros_recibidos) == 0){
			$parametros_recibidos[0] = $funcion_por_defecto;
		}else{
			if ( ($parametros_recibidos[0] == '') || ($parametros_recibidos[0] == NULL) ){
				$parametros_recibidos[0] = $funcion_por_defecto;
			}
		}
		$parametros_recibidos = mezcla_array_parametros($parametros_por_defecto, $parametros_recibidos);
		$retorno = false;
		//Si entre los parámetros recibidos, tenemos el nombre de la función continuamos
		if (count($parametros_recibidos) > 0){
			//Recogemos el nombre de la función de entre el resto de parámetros
			$nombre_funcion = $parametros_recibidos[0];
			//Quitamos el primer elemento de los parámetros, pues es el nombre de la función
			$parametros_recibidos = array_slice($parametros_recibidos, 1);
			//Si la función existe la ejecutamos
			if(function_exists($nombre_funcion)){
				$retorno = call_user_func_array($nombre_funcion, $parametros_recibidos);
			}
		}
		return($retorno);
	}

	function fichero_csv($fichero_csv = '', $numero_fichero = NULL){
		include('comunes/globals.php');
		$ruta_fichero = $fichero_csv . '_csv.php';
		$ruta_fichero = Theme::findFile($ruta_fichero);
		if ($ruta_fichero != NULL){	
			include($ruta_fichero);
		}else{
?>
<p class="error_csv"><?=traducir('Error al abrir el fichero csv');?></p>
<?php	
		}

		return(true);
	}
?>